<?php

class Bootstrap
{
	private static $ob=null;

	private function Bootstrap($config_state = 'live')
	{
			require_once 'Zend/Loader/Autoloader.php';
			Zend_Loader_Autoloader::getInstance();
			$config = new Zend_Config_Ini('config.ini', $config_state);
            date_default_timezone_set($config->date_default_timezone);
			$db = Zend_Db::factory($config->db);
			Zend_Db_Table_Abstract::setDefaultAdapter($db);
            Zend_Registry::set('config_state', $config_state);
			Zend_Registry::set('config', $config);
			Zend_Registry::set('db', $db);
	}

    public static function getInstance()
    {
		if(Bootstrap::$ob==null)
		{
			$ob = new Bootstrap();
		}
		return $ob;
    }
    
    public function configureFrontController()
    {
        $frontController = Zend_Controller_Front::getInstance();
        $frontController->setControllerDirectory(ROOT_DIR . '/controllers');
    }

    public function runApp()
    {
        $this->configureFrontController();
        $frontController = Zend_Controller_Front::getInstance();
        $frontController->dispatch();
    }

}

?>