<?php

class BmiController extends Zend_Controller_Action
{
    public function inputdataAction()
    {
        $this->view->form = new BMIForm();	     	   
    }      
    public function calculateAction()
    {
	$form = new BMIForm();
        $data  = $this->_request->getPost();
	if($form->isValid($_POST)) 
	{
		$height = $data['height'];
		$weight = $data['weight'];
		$str = "bmi is ".($weight/($height*$height));
		$this->view->text = $str;	
	}
	else
	{
		$str = "error in data";
		$this->view->text = $str;
	}
	
    }
}

class BMIForm extends Zend_Form
{
    public function init()
    {
        $this->setMethod('post');
	$this->setAction('calculate');
	//creating weight text field
        $weight = $this->createElement('text','weight');
        $weight->setLabel('Weight:')->setAttrib('size',30);
	$weight->addValidator(new Zend_Validate_Digits());
        //creating height text field
	$height = $this->createElement('text','height');
        $height->setLabel('Hight:')->setAttrib('size',30);
	$height->addValidator(new Zend_Validate_Digits());
	//adding weight and height text fields
        $this->addElements(array($weight,$height));
	$this->addElement('submit','calculate');
    }
}

?>
